#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 32. KDE Plasma

- Prev

  KDE Plasma

- Next

  pulseaudio-qt-1.7.0

- Up
- Home

# kirigami-addons-1.4.0

## Introduction to kirigami-addons

This package provides add-on qml files for the Kirigami framework.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/kirigami-addons/kirigami-addons-1.4.0.tar.xz

- Download MD5 sum: 27d23279ee0ad5252a862c2671bc05ad

- Download size: 1.3 MB

- Estimated disk space required: 40 MB

- Estimated build time: 0.6 SBU (Using parallelism=4)

### kirigami-addons Dependencies

#### Required

KDE Frameworks-6.11.0

#### Recommended

Vulkan-Loader-1.4.304

## Installation of kirigami-addons

Install kirigami-addons by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
           ..                                 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: $KF6_PREFIX/lib/qml/org/kde/kirigamiaddons and $KF6_PREFIX/lib/cmake/KF6KirigamiAddons

- Prev

  KDE Plasma

- Next

  pulseaudio-qt-1.7.0

- Up
- Home